/******************************************************

******************************************************/
int CALLBACK WindowProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM IParam)
{
	RECT Rect; 
	RECT Desktop={0};
	DWORD DlgWidth={0};
	DWORD DlgHeith={0};
	DWORD DlgX={0};
	DWORD DlgY={0};
	UINT_PTR TimeID=0;
	HBITMAP Bitmap={0};
	HDC hdc;
	PAINTSTRUCT Ps={0};
	HDC hMemDC={0};
	long Ret;
    switch(uMsg)
    {
		case WM_INITDIALOG:
			Ret=(GetWindowLong(hWnd,GWL_EXSTYLE)|WS_EX_LAYERED);
			SetWindowLong(hWnd,GWL_EXSTYLE,Ret);
			GetWindowRect(hWnd,&Rect);
			GetWindowRect(GetDesktopWindow(),&Desktop);
			DlgHeith=Rect.bottom-Rect.top;
			DlgWidth=Rect.right-Rect.left;
			DlgY=(Desktop.bottom-DlgHeith)/2;
			DlgX=(Desktop.right-DlgWidth)/2;
			MoveWindow(hWnd,DlgX,DlgY,DlgWidth,DlgHeith,FALSE);
			SetWindowPos(hWnd,HWND_TOP,DlgX,DlgY,DlgWidth,DlgHeith,SWP_SHOWWINDOW);
			Ret=1;
			do{
			    SetLayeredWindowAttributes(hWnd,RGB(0,0,0),Ret,LWA_ALPHA);
				RedrawWindow(hWnd, NULL, NULL, RDW_ERASE | RDW_INVALIDATE | RDW_FRAME | RDW_ALLCHILDREN);
				SendMessage(hWnd,WM_PAINT,0,0);
			    Sleep(3);
				Ret++;
			}while(Ret!=256);
			TimeID=SetTimer(hWnd,1,2000,NULL);
			break;
		case WM_TIMER:
			SendMessage(hWnd,WM_LBUTTONDOWN,0,0);
			KillTimer(hWnd,TimeID);
			break;
		case WM_PAINT:
			hdc=BeginPaint(hWnd,&Ps);
		    Bitmap=LoadBitmap(GetModuleHandle(NULL),(LPCTSTR)IDB_ME);
		    hMemDC=CreateCompatibleDC(NULL);
		    SelectObject(hMemDC,Bitmap);
		    BitBlt(Ps.hdc,DlgX,DlgY,200,60,hMemDC,0,0,SRCCOPY); 
			EndPaint(hWnd,&Ps);
			break;
		case WM_LBUTTONDOWN:
			Ret=(GetWindowLong(hWnd,GWL_EXSTYLE)| WS_EX_LAYERED);
			SetWindowLong(hWnd,GWL_EXSTYLE,Ret);
			DeleteDC(hMemDC);
			Ret=255;
			do{
			    SetLayeredWindowAttributes(hWnd,RGB(0,0,0),Ret,LWA_ALPHA);
				RedrawWindow(hWnd, NULL, NULL, RDW_ERASE | RDW_INVALIDATE | RDW_FRAME | RDW_ALLCHILDREN);
			    Sleep(3);
				Ret--;
			}while(Ret!=0);
		    DeleteDC(hMemDC);
            DestroyWindow(hWnd); 
			break;
    }
    return DefWindowProc(hWnd,uMsg,wParam,IParam);
}
