#define WIN32_LEAN_AND_MEAN
#include "StdFile.h"
#include "About.h"
DWORD KBState=0;
DWORD wWidth=0; /***ڿ***/
DWORD wHeith=0; /***ڸ߶***/
DWORD wX=15;
DWORD wY=15;
void ButtonProc(HWND hWnd, WPARAM wParam, LPARAM lParam)
{
	HWND HABOUT;
    switch(LOWORD(wParam))
    {   
        case IDM_ABOUT:
			HABOUT=CreateDialog(GetModuleHandle(NULL),MAKEINTRESOURCE(IDD_ABOUT),hWnd,WindowProc);
			ShowWindow(HABOUT,SW_SHOW);
            break;
		case IDM_EXIT:
			Sleep(400);
			EndDialog(hWnd,0);
			break;
    }
}
LRESULT CALLBACK LowLevelKeyboardProc(int nCode, WPARAM wParam, LPARAM lParam) 
{
     PKBDLLHOOKSTRUCT p= (PKBDLLHOOKSTRUCT) lParam;
     HWND hWnd=GetActiveWindow();
     if (nCode == HC_ACTION) 
     {
        switch (wParam) 
        {
            case WM_KEYDOWN:    
                if(p->vkCode == VK_UP)  
                {
                    KBState=8;   
				    RedrawWindow(hWnd, NULL, NULL,RDW_ERASE|RDW_INVALIDATE|RDW_UPDATENOW);
					UpdateWindow(hWnd);
				    break;
                }
                if(p->vkCode == VK_DOWN)  
                {
				    KBState=2;
				    RedrawWindow(hWnd, NULL, NULL,RDW_ERASE|RDW_INVALIDATE|RDW_UPDATENOW);
				    UpdateWindow(hWnd);
					break;
                }
                if(p->vkCode == VK_LEFT)  
                {
					KBState=4;
				    RedrawWindow(hWnd, NULL, NULL,RDW_ERASE|RDW_INVALIDATE|RDW_UPDATENOW);
					UpdateWindow(hWnd);
				    break;
                }
                if(p->vkCode == VK_RIGHT)  
                {
					KBState=6;
				    RedrawWindow(hWnd, NULL, NULL,RDW_ERASE|RDW_INVALIDATE|RDW_UPDATENOW);
					UpdateWindow(hWnd);
				    break;
                }
		        break;
            case WM_KEYUP:     
                break;     
            case WM_SYSKEYDOWN: 
            case WM_SYSKEYUP:   
            break;
        }
     }
     return  CallNextHookEx(NULL, nCode, wParam,lParam);
  }

BOOL CALLBACK DialogProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
    
    PAINTSTRUCT Ps={0};
    HDC hMemDC={0};
    HDC hdc;
	HICON  hIcon;
	HBITMAP Bitmap=0;
    switch(uMsg)
    {
        case WM_INITDIALOG:
            hIcon = LoadIcon(GetModuleHandle(NULL),(LPCTSTR)IDI_ICON);
            SendMessage(hWnd,WM_SETICON,TRUE,(WPARAM)hIcon);
			SetWindowTop(hWnd);
		    wWidth=GetWindowWidth(hWnd);
		    wHeith=GetWindowHeith(hWnd);
		    SetBkColor(GetDC(hWnd), RGB(212,208,200));
			break;
        case WM_CLOSE:
            EndDialog(hWnd,0);
            break;
		case WM_COMMAND:
			LaserMusic();
			ButtonProc(hWnd,wParam,lParam);
			break;
		case WM_PAINT:
			hdc=BeginPaint(hWnd,&Ps);
		   // PatBlt(GetDC(hWnd),0,0,wWidth,wHeith,BLACKNESS);
            Bitmap=LoadBitmap(GetModuleHandle(NULL),(char*)IDB_MAP);	
		    hMemDC=CreateCompatibleDC(NULL);
		    SelectObject(hMemDC,Bitmap);
		    if(KBState==2)
		    {
			    wY+=1;
		    }
		    if(KBState==4)
		    {
			    wX-=1;
	  	    }
		    if(KBState==6)
		    {
			    wX+=1;
	  	    }
		    if(KBState==8)
		    {
			    wY-=1;
	  	    }
		    BitBlt(Ps.hdc,wX,wY,IconSize,IconSize,hMemDC,0,0,SRCCOPY); 
			EndPaint(hWnd,&Ps);
			break;
	    case WM_CTLCOLOR:
		    MessageBox(hWnd,"1234","1234",MB_OK);
		    break;

    }
    return FALSE;
}
int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd)
{
    HHOOK hhkLowLevelKybd  = SetWindowsHookEx(WH_KEYBOARD_LL, LowLevelKeyboardProc, hInstance, 0);
    DialogBox(hInstance, MAKEINTRESOURCE(DLG_MAIN), NULL, DialogProc);
    UnhookWindowsHookEx(hhkLowLevelKybd);
	return TRUE;
}
